// FILE: master.cs
//
// UPDATED BY: :e: Drake
//
// UPDATED: January 26, 2011


// Master Servers
// Hosts: eye, DusterSteve and LV

$Inet::Master1 = "IP:74.211.82.219:29000"; // Eye's Master Server
$Inet::Master2 = "IP:dustersteve.no-ip.org:29000"; // DusterSteve's Master Server
$Inet::Master3 = "IP:master.starsiege.org:29000"; // LV's Master Server

// SS Default IRC Information Changed
// Drake's server set as default.
// Name you currently use in game is automatically set
// as your IRC Nickname.

$IRC::Server2         = "irc.afterx.net";
$IRC::ServerPort     = 6667;
$IRC::NickName       = $client::name;
$IRC::RealName       = $client::name;
$IRC::AutoReconnect  = true;
$IRC::ShowJoinLeave  = true;

// Drake's Custom Variable
// Allows to broadcast any other IP
// you may be on. Not really important.

$IP = broadcast;

$inet::IPBroadcast1 = "IP:" @ $IP @ ":29001";
$inet::IPXBroadcast1 = "IPX:" @ $IP @ ":29001";

# times here are in ms
$pref::maxConcurrentPings = 20;
$pref::pingTimeoutTime = 1500;
$pref::pingRetryCount = 2;
$pref::maxConcurrentRequests = 10;
$pref::requestTimeoutTime = 3000;
$pref::requestRetryCount = 2;

// The below script is used for the STS mod.
// Function allows you to turn on/off the STS mod
// while in game.

// Use as:
// STS::switch(true); / STS::switch();
// On / Off
// Must restart SS for the switch to take effect.

if(isFile("STS-switch.cs"))
	exec("STS-switch.cs");

function STS::switch(%bool)
{
	if(%bool)
		fileWrite("STS-switch.cs", overwrite, "$STS::MOD = true; ");
	else
		fileWrite("STS-switch.cs", overwrite, "$STS::MOD = false;");
}

if($STS::MOD)
{
	//STSMod Activation
	newObject( STStechVol, SimVolume, "STSTech.vol");
	exec("tech.strings.cs");
	exec("tech.sfx.strings.cs");
	exec("sound.cs");
	$version = "STS 0.9";
}